Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1547849 - [ceph-ansible]: "iscsi-gw" role fails to configure the Tools repository when pointed to CDN
Summary: [ceph-ansible]: "iscsi-gw" role fails to configure the Tools repository when ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: z3
: 3.0
Assignee: leseb
QA Contact: mkasturi
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1600697
TreeView+ depends on / blocked
 
Reported: 2018-02-22 05:54 UTC by Tejas
Modified: 2018-07-12 19:43 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.32-1.el7cp Ubuntu: ceph-ansible_3.0.32-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 18:20:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2518 None None None 2018-04-12 10:18:51 UTC
Red Hat Product Errata RHBA-2018:1563 None None None 2018-05-15 18:21:15 UTC

Description Tejas 2018-02-22 05:54:39 UTC
Description of problem:

    I am creating a new cluster with "iscsi-gws" colocated with OSD nodes. ceph-ansible is pointed to use the CDN repositories to get the packages. "iscsi-gws" needs the packages from the "rhel-7-server-rhceph-3-Tools-rpms". So to be consistent with the MON,oSD,RGW roles, it has to enable the Tools repo before trying to install the necessary packages.

failed: [navigator] (item=tcmu-runner) => {"changed": false, "failed": true, "item": "tcmu-runner", "msg": "No package matching 'tcmu-runner' found available, installed or updated", "rc": 126, "results": ["No package matching 'tcmu-runner' found available, installed or updated"]}
failed: [navigator] (item=ceph-iscsi-config) => {"changed": false, "failed": true, "item": "ceph-iscsi-config", "msg": "No package matching 'ceph-iscsi-config' found available, installed or updated", "rc": 126, "results": ["No package matching 'ceph-iscsi-config' found available, installed or updated"]}

Version-Release number of selected component (if applicable):
ceph-ansible-3.0.14-1.el7cp.noarch

How reproducible:
Always


Additional info:
 Options in all.yml:
ceph_rhcs_cdn_install: True
ceph_origin: repository
ceph_repository: rhcs
ceph_rhcs_version: 3
.
.


Hosts file:
[mgrs]
mustang

[iscsi-gws]
lightning
navigator

[mons]
havoc
mustang
buckeye

[osds]
navigator
lightning
nighthawk dmcrypt=True

[rgws]
skymaster
skytrain
thunderbolt

Comment 4 Nicolas Ecarnot 2018-03-26 11:41:35 UTC
Hello,

I'm witnessing the same issue on CentOS 7.4, using :

ceph_origin: repository
ceph_repository: community
ceph_stable_release: luminous

Is there a workaround?

Thank you. (Merci Seb)

Comment 5 leseb 2018-04-12 10:18:51 UTC
Sorry for the wait, fix is upstream.

Nicolas, what's your issue? If you run on community there is no rhel repo.

Comment 6 Nicolas Ecarnot 2018-04-12 10:46:36 UTC
(In reply to leseb from comment #5)
> Sorry for the wait, fix is upstream.
> 
> Nicolas, what's your issue? If you run on community there is no rhel repo.

Seb, with the help of the same related Github thread (you took part of), I ended up understanding that the missing packages were available only :
- from the official Redhat subscription channel
or
- using the "dev" repository.

I tried to use the "dev" setting in the all.yml settings file, and indeed it allowed the playbook to run nicely and install the required packages.

Using the "community" repo, for the time being, there's no way to setup an iSCSI gateway. Not a serious issue, but something to warn about.

Comment 7 leseb 2018-04-16 13:00:05 UTC
Oh now I understand better Nicolas, so no issue here :).

Comment 11 subhash 2018-05-14 10:07:09 UTC
Verified with the following parameters set in all.yml.Issue No longer reproducible. ceph-ansible enables the Tools repo on iscsi-gw nodes before installing the necessary packages.

all.yml variables for cdn installation

fetch_directory: ~/ceph-ansible-keys
cluster: 'remote'
ceph_repository_type: cdn # "{{ 'cdn' if ceph_rhcs_cdn_install else 'iso' if ceph_rhcs_iso_install else 'dummy' }}" # backward compatibility with stable-2.2, will disappear in stable 3.1
ceph_origin: repository
ceph_repository: rhcs
ceph_rhcs_version: 3 # "{{ ceph_stable_rh_storage_version | default(2) }}"
monitor_interface: eno1
public_network: x.x.x.x/x 
radosgw_interface: eno1



Version-Release number of selected component (if applicable):
ceph-ansible-3.0.33-1.el7cp.noarch
ansible-2.4.2.0-2.el7.noarch

Comment 14 errata-xmlrpc 2018-05-15 18:20:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1563


Note You need to log in before you can comment on or make changes to this bug.